Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.univrennes1.cri.util.ldapUtils
Class ESUP_LDAPAttribute

    java.lang.Object
      fr.univrennes1.cri.util.ldapUtils.ESUP_LDAPAttribute

public class ESUP_LDAPAttribute
extends java.lang.Object

Constructor Summary
`ESUP_LDAPAttribute(java.lang.String name, java.util.Vector values)`

Method Summary
`void` | `addValue(java.lang.String value)` Adds a value
`java.lang.String` | `getName()` Gets the attribute name
`java.lang.String` | `getValue()` Gets the attribute value if there is only one value
`java.util.Enumeration` | `getValues()` Gets the attribute values
`boolean` | `isMono()` Gets the attribut type
`boolean` | `isMulti()` Gets the attribut type
`void` | `setName(java.lang.String name)` Sets the attribute name
`java.lang.String` | `toString()` Returns a String representation of the attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ESUP_LDAPAttribute

    public ESUP_LDAPAttribute(java.lang.String name,
                              java.util.Vector values)

Method Detail

### getName

    public java.lang.String getName()

  Gets the attribute name

  Returns:
    the attribute name as a String

### setName

    public void setName(java.lang.String name)

  Sets the attribute name

  Parameters:
    `name` - the attribute name

### getValues

    public java.util.Enumeration getValues()

  Gets the attribute values

  Returns:
    the attribute values as an Enumeration

### getValue

    public java.lang.String getValue()

  Gets the attribute value if there is only one value

  Returns:
    the attribute value as an String, null if there are several values

### addValue

    public void addValue(java.lang.String value)

  Adds a value

  Parameters:
    `value` - the new value

### isMono

    public boolean isMono()

  Gets the attribut type

  Returns:
    true if the attribute has only one value

### isMulti

    public boolean isMulti()

  Gets the attribut type

  Returns:
    true if the attribute has more than one value

### toString

    public java.lang.String toString()

  Returns a String representation of the attribute

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD